nav ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
  display: flex;
  background: #00f;
  animation: rainbow 20s infinite;

  li {
    padding: 1.5rem 2rem;

    a {
      text-decoration: none;
      font-size: 24px;
      color: #fff;
      text-shadow: #000 2px 2px 0;

      &:hover {
        text-decoration: underline;
        color: #000;
        text-shadow: #fff 2px 2px 0;
      }
    }
  }
}

@keyframes rainbow {
  0% {
    background: #f00;
  }
  16% {
    background: #ff0;
  }
  33% {
    background: #0f0;
  }
  50% {
    background: #0ff;
  }
  67% {
    background: #00f;
  }
  83% {
    background: #f0f;
  }
  100% {
    background: #f00;
  }
}
